oneAPI Registration, Download, Licensing and Installation
Support for Getting Started questions related to download, Installation and licensing for Intel oneAPI Toolkits and software development tools.

intel python 2023.2.0 on opensuse Leap

dcdcdcdcdcd
Beginner
996 Views

i have a brand new opensuse leap installation and trying to install latest intelpython. keep failing at last stage.

 

anyone has any advice?

 

ERROR conda.core.link:_execute(730): An error occurred while installing package 'file:///home/dc/intel/oneapi/conda_channel::ipp-2021.9.0-intel_49452'.
Rolling back transaction: ...working... done

LinkError: post-link script failed for package file:///home/dc/intel/oneapi/conda_channel::ipp-2021.9.0-intel_49452
location of failed script: /home/dc/intel/oneapi/intelpython/latest/bin/.ipp-post-link.sh
==> script messages <==
<None>
==> script output <==
stdout:
stderr: /usr/bin/bash: /tmp/_MEIInElNM/libreadline.so.8: no version information available (required by /usr/bin/bash)
/usr/bin/bash: /tmp/_MEIInElNM/libreadline.so.8: no version information available (required by /usr/bin/bash)
/usr/bin/bash: /tmp/_MEIInElNM/libreadline.so.8: no version information available (required by /usr/bin/bash)
/usr/bin/bash: /tmp/_MEIInElNM/libreadline.so.8: no version information available (required by /usr/bin/bash)
/usr/bin/bash: symbol lookup error: /usr/bin/bash: undefined symbol: rl_trim_arg_from_keyseq, version READLINE_8.2

return code: 127

()

 

 

 

 

Full logs as attach.

0 Kudos
4 Replies
RahulC_Intel
Moderator
976 Views

Hi Des, could you please share the below details for further investigation: 

 

  • OS build on which you are installing the software  
  • Is the installer an online or an offline package?  
  • Other versions of Intel® Parallel Studio XE or Intel® oneAPI already installed on the system   
  • Is python 3 installed in your system?
  • Exact Intel® oneAPI Product name?



0 Kudos
dcdcdcdcdcd
Beginner
968 Views

dcdcdcdcdcd_0-1695362816002.png

 

thats my linux version.

i have tried online and offline packages. multiple times

i initially started just trying to install intelpython 

l_pythoni39_oneapi_p_2023.2.0.49422.

 

got the error, than  i start trying to install the rest of the oneapi products one by one to see if after that would have successful installation on python3, no luck too.

 

eventually, these are the packages i installed

l_tbb_oneapi_p_2021.10.0.49543_offline

l_dpcpp-cpp-compiler_p_2023.2.1.8_offline

l_ipp_oneapi_p_2021.9.0.49454_offline

l_oneDPL_p_2022.2.0.49287_offline

l_onemkl_p_2023.2.0.49497_offline

 

all end with same error.

this is the libgcc installed in my computer

ldd (GNU libc) 2.38

 

0 Kudos
RahulC_Intel
Moderator
945 Views

Hi Des, thank you for sharing the details with us. We would like to inform you that openSUSE Tumbleweed operating system has not tested and validated from our engineering team for Intel®oneAPI Products. It may or may not work with the untested operating systems.


Kindly refer to the link: https://www.intel.com/content/www/us/en/developer/articles/release-notes/distribution-for-python-release-notes.html#:~:text=Support%20Forum.-,2023,-2023.2, check the tested and supported operating systems for Intel® Distribution for Python in the latest release notes.



0 Kudos
RahulC_Intel
Moderator
815 Views

Hi Des, unfortunately we were unable to hear back from you. 


If you have any further query, please post a new question as this thread will no longer be monitored by Intel®. 


0 Kudos
Reply